API

Fetch page

Static fetch only: no JavaScript rendering, no cache, no extraction escalation chain. 10s timeout, hard character cap. Private, loopback and link-local addresses are refused.

POST
/v1/fetch

Static fetch only: no JavaScript rendering, no cache, no extraction escalation chain. 10s timeout, hard character cap. Private, loopback and link-local addresses are refused.

Authorization

AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/fetch" \  -H "Content-Type: application/json" \  -d '{    "url": "string"  }'
{  "request_id": "string",  "url": "string",  "final_url": "string",  "title": "string",  "content": "string",  "chars": 0,  "truncated": true,  "response_time_ms": 0,  "meta": {    "unwrapped": true,    "click_path": "agent_read",    "content_type": "string"  }}